<?php
/*
Plugin Name: SM Insert
Plugin URI: http://www.brettrutecky.com
Description: Quickly add your SqueezeMatic page to a WordPress site
Version: 1.8
Author: Brett Rutecky / SqueezeMatic
Author URI: http://www.squeezematic.com
License: Standard
*/


add_action( 'wp', 'block_post_site_smi' );//This is the hook part
function block_post_site_smi(){
    global $wpdb;
    global $post; 
    $CurrentPage=$post->ID;
    $blocked_page = 0;//Id of the page to block
    $re = $wpdb->get_results( " SELECT * FROM ".$wpdb->prefix."site_smi_pages " );
    foreach ( $re as $ro ){
	                         $ID=$ro->ID;
                           $WPPage=$ro->WPPage;
                           $URL="//www.squeezematic.com/members/show.php?p=".$ro->SM_ID;
                           
                           if ($WPPage==$CurrentPage && !is_admin()){
                                                      if ($URL!=""){
                                                                    //include('html_dom/simple_html_dom.php');
                                                                    //$doc=file_get_html($URL);
                                                                                                            
                                                                    //echo "<base href='$URL'>";
                                                                    //echo $doc;
                                                                    echo "
                                                                          <body style='padding:0px; margin:0px;'>
                                                                          <iframe style='width:100%; height:100%;' frameborder='no' src='$URL'></iframe>
                                                                          </body>
                                                                         ";
                                                                    exit();
                                                                   } 
                                                  
                                                     }
                          } 
                      }


function Scrape_URL($atts, $URL = null){
                                        include('html_dom/simple_html_dom.php'); 
                                        if ($URL!=""){
                                                      $doc=file_get_html($URL);
                                                      exit();
                                                     } 
                                       }

/* Runs when plugin is activated */
register_activation_hook(__FILE__,'site_smi_install'); 

/* Runs on plugin deactivation*/
register_deactivation_hook( __FILE__, 'site_smi_remove' );

function site_smi_install() {
                                global $wpdb;
                                $table_name = $wpdb->prefix . "site_smi_pages";                             
                                $sql = "CREATE TABLE $table_name (
                                                                  id mediumint(9) NOT NULL AUTO_INCREMENT,
                                                                  WPPage VARCHAR(25) DEFAULT '' NOT NULL,
                                                                  SM_ID VARCHAR(255) DEFAULT '' NOT NULL,
                                                                  UNIQUE KEY id (id)
                                                                  );";
                                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                                dbDelta( $sql );     
                               }

function site_smi_remove() {
                              remove_action('wp', 'block_post_site_smi', 1);

                              }

if ( is_admin() ){
                  /* Call the html code */
                  add_action('admin_menu', 'site_smi_admin_menu');

                  function site_smi_admin_menu() {
                                                     add_menu_page('SM insert', 'SM insert', 'administrator', 'sm_insert', 'site_smi_admin');
                                                    }
                 }

function site_smi_admin() { 
                              global $wpdb;
                              $PGPath=plugins_url()."/sm_insert/";
                              wp_register_script('op_jq', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6.0/jquery.min.js'); 
                              wp_enqueue_script('op_jq');
                              
                              echo "
                                    <div style='position:relative; width:880px; padding:10px; background-color:#000000;'>
                                     <img src='$PGPath"."images/logo.png'>
                                     <div style='float:right; margin-top:10px; margin-right:10px;'>
                                      <img src='$PGPath"."images/installnewbutton.png' style='cursor:pointer;' onclick='installnew();'>
                                      <br>
                                      <a href='http://brettrutecky.com/squeezematic-wordpress-plugin/' target='_blank' style='color:#ffffff; font-family:sans-serif; font-size:12px; font-weight:900'>
                                      Need Help? Click here
                                      </a>
                                     </div>
                                    </div>
                                   ";
                              echo "
                                    <table style='font-size:14px; font-weight:900; font-family:sans-serif; width:900px;'>
                                   ";
                                   
                              $re = $wpdb->get_results( " SELECT * FROM ".$wpdb->prefix."site_smi_pages " );
                              $c=0;
                              foreach ( $re as $ro ) 
                                                    {
	                                                   $ID=$ro->ID;
                                                     $WPPage=$ro->WPPage;
                                                     $SM_ID=$ro->SM_ID;
                                                     //get the posts title
                                                     $re2 = $wpdb->get_results( " SELECT * FROM wp_posts WHERE id='$WPPage' " );
                                                     foreach ( $re2 as $ro2 ){
                                                                              $PageTitle=$ro2->post_title;
                                                                              $GUID=$ro2->guid;
                                                                             }
                                                     
                                                     $Options="<button onclick=\"window.open('$GUID','_blank');\">VIEW PAGE</button>&nbsp;&nbsp;";
                                                     $Options=$Options."<button onclick=\"deletePage('$WPPage')\">DELETE PAGE</button>&nbsp;&nbsp;";
                                                     //background color for table rows
                                                     if ($c==0){
                                                               $bc="#FDD100";
                                                               $c=1;
                                                              }else{
                                                                    $bc="#D77649";
                                                                    $c=0;
                                                                   }
                                                     echo "
                                                           <tr>
                                                            <td style='background-color:$bc;'>$PageTitle</td>
                                                            <td style='background-color:$bc;'>SM Page ID: $SM_ID</td>
                                                            <td style='width:250px; background-color:$bc;'><center>$Options</center></td>
                                                           </tr>
                                                          ";
                                                    
                                                    }    
                             echo "       
                                   </table>
                                   </div>
                                  </div>
                                  
                                   <div id='Blanket' style='display:none; z-index:9998; position:fixed; left:0px; top:0px; width:100%; height:100%; background-color:#000000; opacity:.7'></div>
                                   <div id='PopUp' style='display:none; z-index:9999; position:fixed; width:650px; padding:10px; min-height:200px; top:75px; left:50%; margin-left:-330px; border: 5px solid #E0AE33; background-color:#ffffff;'>
                                    <div style='position:absolute; right:5px; top:5px;'><a href='#' onclick=\"$('#PopUp').css('display','none'); $('#Blanket').css('display','none');\"><img src='$PGPath/images/close_2.png' border='0'></a></div>
                                    <div id='PopUpContent' style='position:relative; top:20px;'>
                                    </div>
                                    <br>
                                   </div>
                                  
                                  
                                   <script type='text/javascript'>
                                    function deletePage(P){
                                                          jQuery.post('$PGPath'+'deletepage.php',{P:P}, function(data) {
                                                                                                                        location.reload();
                                                                                                                       });
                                                         }
                                    
                                    function installnew(){
                                                          jQuery.post('$PGPath'+'addnewpage.php', function(data) {
                                                                                                               jQuery('#PopUpContent').html(data);
                                                                                                               jQuery('#PopUp').css('display','block');
                                                                                                               jQuery('#Blanket').css('display','block');
                                                                                                              });
                                                         }
                                   
                                    
                                                      
                                    
                                   
                                    
                                                                        
                                    function saveNow(){
                                                       var WPPage=$('#SelectedPage').val();
                                                       var SM_ID=$('#SM_ID').val();
                                                      
                                                       
                                                       //var PopUpDelay=$('#PopUpDelay').val();
                                                       PopUpDelay='5000';
                         
                        
                                                       $.post('$PGPath'+'dosave.php', { 
                                                                              WPPage:WPPage,
                                                                              SM_ID:SM_ID 
                                                                             },function( data ){
                                                                                                //alert(data);
                                                                                                location.reload();
                                                                                               }); 
                                                                              
                                                                             }   
                                                                                                                                         
                                   </script>
                                  ";     
                                   
                             }
?>